﻿Public Class ErrorReporting
    Private _err As frmPad = Nothing
    Private Sub ErrorSetup()
        Dim mdi As PadMdiFrame = My.Forms.PadMdiFrame
        If mdi.MdiChildren(0).Text = "Scratchpad" Then _err = mdi.MdiChildren(0)
        If Not _err Is Nothing Then Exit Sub
        _err = New frmPad
        If _err Is Nothing Then Exit Sub
        With _err
            .ControlBox = False
            .Tag = New PadInfo(False)
            .Text = "Error report"
        End With
    End Sub
    Public Sub New()
        ErrorSetup()
    End Sub
    Private Function Format(ByRef e As ErrObject, ByRef t As String) As String
        Dim s As String = ""
        If e Is Nothing Then
            If t <> "" Then s = t & vbNewLine
        Else
            s = e.Number & ": " & e.Description & vbNewLine
            If t <> "" Then s &= t & vbNewLine
        End If
        Return s
    End Function
    Public Sub Display(ByRef e As Exception, ByVal t As String)
        Static ss As String = "Error reporting system not setup."

        Dim s As String
        If e Is Nothing Then
            s = t & vbNewLine
        Else
            s = e.ToString & vbNewLine & t & vbNewLine
        End If
        If s = "" Then Exit Sub
        If _err Is Nothing Then
            If ss <> "" Then s = ss & vbNewLine & s
            MsgBox(s)
            ss = ""
            Exit Sub
        End If
        With _err
            .rtxBox.AppendText(s)
            .BringToFront()
            If .MdiParent Is Nothing Then
                .Show()
            Else
                .ParentForm.Show()
            End If
        End With
    End Sub

End Class
