﻿Module PadEdit
    Public Sub Copy(ByRef tb As RichTextBox)
        If tb.SelectionLength > 0 Then
            ' Copy the selected text to the Clipboard.
            tb.Copy()
        End If
    End Sub
    Public Sub Cut(ByRef tb As RichTextBox)
        If tb.SelectionLength > 0 Then
            ' Copy the selected text to the Clipboard and delete it from the box
            tb.Cut()
        End If
    End Sub
    Public Sub Paste(ByRef tb As RichTextBox)
        ' Determine if there is any text in the Clipboard to paste into the text box.
        If Clipboard.GetDataObject().GetDataPresent(DataFormats.Text) = True Then
            ' Paste current text in Clipboard into text box.
            tb.Paste()
        End If
    End Sub
End Module
